Package it.ernytech.tdlib

## Class TdApi.OpenMessageContent

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.OpenMessageContent

Enclosing class:
  TdApi

    public static class TdApi.OpenMessageContent
    extends TdApi.Function

This method should be called if the message content has been opened (e.g., the user has opened a photo, video, document, location or venue, or has listened to an audio file or voice note message). An updateMessageContentOpened update will be generated if something has changed.

Returns `Ok`

### Field Summary

Fields
`long` `chatId` Chat identifier of the message.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `messageId` Identifier of the message with the opened content.

### Constructor Summary

Constructors
`OpenMessageContent()` Default constructor.
`OpenMessageContent​(long chatId, long messageId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier of the message.

#### messageId

    public long messageId

Identifier of the message with the opened content.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### OpenMessageContent

    public OpenMessageContent()

Default constructor.

#### OpenMessageContent

    public OpenMessageContent​(long chatId,
                              long messageId)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier of the message.
  `messageId` - Identifier of the message with the opened content.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR